Upload a private vehicle document
POST
/vehicles/{id}/documents
const url = 'https://example.com/vehicles/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/documents';const options = { method: 'POST', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"kind":"mot","name":"example","documentDate":"2026-04-15","mileage":1,"updateMileage":false,"acceptMileageConflict":false,"expiresOn":"2026-04-15","data":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/vehicles/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/documents \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "kind": "mot", "name": "example", "documentDate": "2026-04-15", "mileage": 1, "updateMileage": false, "acceptMileageConflict": false, "expiresOn": "2026-04-15", "data": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
kind
required
string
name
required
string
documentDate
string | null format: date
mileage
integer | null
updateMileage
boolean
acceptMileageConflict
boolean
expiresOn
string | null format: date
data
required
string
Responses
Section titled “Responses”Uploaded
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
vehicleId
required
UUID v7
string format: uuid
kind
required
string
name
required
string
contentType
required
string
byteSize
required
integer
documentDate
required
string | null format: date
mileage
required
integer | null
mileageAppliedAt
required
string | null format: date-time
expiresOn
required
string | null format: date
createdAt
required
string format: date-time
url
required
string
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "vehicleId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "kind": "mot", "contentType": "application/pdf"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such vehicle or record
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}The reading is older or lower than the current vehicle mileage
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}